﻿/*  
     This file is part of Emulators Organizer
    A program that organize emulators and roms.
   
    Copyright (C) 2009 - 2012  Ali Hadid, programmed by Ala Hadid

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AHD.Emulators_Organizer.Base
{
    public class DatabaseManager
    {
        static IDatabaseFile[] supportedFormats = { new DB_NoIntroDat(), new DB_NesCartDB() };

        public static IDatabaseFile[] SupportedFormats
        { get { return supportedFormats; } }

        public static string GetFilter()
        {
            return GetFilter(false);
        }
        public static string GetFilter(bool IgnoreNotSupportExport)
        {
            string _Filter = "";
            foreach (IDatabaseFile formm in supportedFormats)
            {
                if (IgnoreNotSupportExport)
                    if (!formm.IsSupportSave)
                        continue;
                _Filter += formm.Name + "|*." + formm.Extension + "|";
            }
            return _Filter.Substring(0, _Filter.Length - 1);
        }
        public static IDatabaseFile GetFromExtension(string ex)
        {
            if (ex.StartsWith("."))
                ex = ex.Substring(1, ex.Length - 1);
            foreach (IDatabaseFile format in supportedFormats)
            {
                if (ex == format.Extension)
                    return format;
            }
            return null;
        }
    }
}
