﻿/*  
     This file is part of Emulators Organizer
    A program that organize emulators and roms.
   
    Copyright (C) 2009 - 2012  Ali Hadid, programmed by Ala Hadid

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace AHD.Emulators_Organizer.Base
{
    [Serializable()]
    public class Rom
    {
        string _Name = "";
        string _Path = "";
        string _Size = "";
        bool _IsURL = false;
        string _URL = "";
        string _DownloadFileName = "";
        List<string> _snapshots = new List<string>();
        List<string> _covers = new List<string>();
        List<string> _links = new List<string>();
        List<string> _sounds = new List<string>();
        List<string> _videos = new List<string>();
        string _PDFPath = "";
        bool _IsArchive = false;
        int _Rating = 0;
        int _PlayedTimes = 0;
        int _Year = 2011;
        bool _HasSpecialCommandLine = false;
        List<string> _Categories = new List<string>();
        List<string> _StateSaves = new List<string>();

        public string Name
        { get { return _Name; } set { _Name = value; } }
        public string Path
        { get { return _Path; } set { _Path = value; } }
        public string DownloadFileName
        { get { return _DownloadFileName; } set { _DownloadFileName = value; } }
        public List<string> Snapshots
        {
            get
            {
                if (_snapshots == null)
                    _snapshots = new List<string>();
                return _snapshots;
            }
            set { _snapshots = value; }
        }
        public List<string> Covers
        {
            get
            {
                if (_covers == null)
                    _covers = new List<string>();
                return _covers;
            }
            set { _covers = value; }
        }
        public List<string> StateSaves
        {
            get
            {
                if (_StateSaves == null)
                    _StateSaves = new List<string>();
                return _StateSaves;
            }
            set { _StateSaves = value; }
        }
        public List<string> SoundRecords
        {
            get
            {
                if (_sounds == null)
                    _sounds = new List<string>();
                return _sounds;
            }
            set
            {
                _sounds = value;
            }
        }
        public List<string> Videos
        {
            get
            {
                if (_videos == null)
                    _videos = new List<string>();
                return _videos;
            }
            set { _videos = value; }
        }
        public string PDFPath
        { get { return _PDFPath; } set { _PDFPath = value; } }
        public string RomSize
        { get { return _Size; } set { _Size = value; } }
        public int Rating
        { get { return _Rating; } set { _Rating = value; } }
        public bool IsURL
        { get { return _IsURL; } set { _IsURL = value; } }
        public string URL
        { get { return _URL; } set { _URL = value; } }
        public bool HasSpecialCommandLine
        { get { return _HasSpecialCommandLine; } set { _HasSpecialCommandLine = value; } }
        public List<string> Categories
        { get { return _Categories; } set { _Categories = value; } }
        public bool IsArchive
        { get { return _IsArchive; } set { _IsArchive = value; } }
        public int PlayedTimes
        { get { return _PlayedTimes; } set { _PlayedTimes = value; } }
        public int Year
        { get { return _Year; } set { _Year = value; } }
        List<CommandLineGroupsEmulator> _CommandLineGroupsEmulator = new List<CommandLineGroupsEmulator>();
        public List<CommandLineGroupsEmulator> CommandLineGroupsEmulator
        { get { return _CommandLineGroupsEmulator; } set { _CommandLineGroupsEmulator = value; } }
        public List<string> Links
        { get { return _links; } set { _links = value; } }
    }
}
