﻿/*  
     This file is part of Emulators Organizer
    A program that organize emulators and roms.
   
    Copyright (C) 2009 - 2012  Ali Hadid, programmed by Ala Hadid

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace EmulatorsOrganizer.Controls
{
    public partial class Frm_Commandline : Form
    {
        public string NameEntered
        { get { return textBox1_name.Text; } }
        public string CodeEntered
        { get { return textBox_code.Text; } }
        public Frm_Commandline(string DefaultName, string DefaultCode, bool EnableName)
        {
            InitializeComponent();
            textBox1_name.Enabled = EnableName;
            textBox1_name.Text = DefaultName;
            textBox_code.Text = DefaultCode;
        }

        private void textBox_code_TextChanged(object sender, EventArgs e)
        {
            if (textBox1_name.Enabled)
                button2.Enabled = ((textBox1_name.Text.Length > 0) & (textBox_code.Text.Length > 0));
            else
                button2.Enabled = (textBox_code.Text.Length > 0);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.DialogResult = System.Windows.Forms.DialogResult.OK;
            Close();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            Close();
        }

        private void textBox1_name_TextChanged(object sender, EventArgs e)
        {
            if (button1.Enabled)
                button2.Enabled = ((textBox1_name.Text.Length > 0) & (textBox_code.Text.Length > 0));
            else
                button2.Enabled = (textBox_code.Text.Length > 0);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Frm_specialCommandline special = new Frm_specialCommandline();
            if (special.ShowDialog(this) == System.Windows.Forms.DialogResult.OK)
            {
                textBox1_name.Text = special.CommandlineName;
                textBox_code.Text = special.Commandline;
            }
        }
    }
}
