﻿/*  
     This file is part of Emulators Organizer
    A program that organize emulators and roms.
   
    Copyright (C) 2009 - 2012  Ali Hadid, programmed by Ala Hadid

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.IO;
using System.Diagnostics;
using System.Windows.Forms;
using AHD.Emulators_Organizer.Base;
using AHD.Utilities;

namespace EmulatorsOrganizer.Controls
{
    public partial class PDFviewer : UserControl
    {
        string _PDFPath = "";
        AxAcroPDFLib.AxAcroPDF axAcroPDF1;
        public string PDFPath
        {
            get { return _PDFPath; }
            set
            {
                _PDFPath = value;
                if (value != null)
                {
                    if (axAcroPDF1 != null)
                    {
                        axAcroPDF1.Dispose();
                    }
                    if (File.Exists(_PDFPath) & Path.GetExtension(_PDFPath).ToLower() == ".pdf")
                    {
                        toolStripButton2.Enabled = toolStripButton3.Enabled = toolStripButton4.Enabled = true;
                        try
                        {
                            axAcroPDF1 = new AxAcroPDFLib.AxAcroPDF();
                            axAcroPDF1.Parent = this;
                            axAcroPDF1.Dock = DockStyle.Fill; 
                            axAcroPDF1.BringToFront();
                            if (axAcroPDF1.LoadFile(Utilities.GetFullPath(_PDFPath)))
                            {
                                axAcroPDF1.Visible = true;
                            }
                            else
                            {
                                axAcroPDF1.Visible = false;
                            }
                        }
                        catch
                        {
                            axAcroPDF1 = null;
                        }

                    }
                    else
                    {
                        toolStripButton2.Enabled = toolStripButton3.Enabled = toolStripButton4.Enabled = false;
                    }
                }
                else
                {
                    toolStripButton2.Enabled = toolStripButton3.Enabled = toolStripButton4.Enabled = false;
                }
            }
        }
        public PDFviewer()
        {
            InitializeComponent();
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            if (PDFchangeFileRequest != null)
                PDFchangeFileRequest(this, null);
        }

        public event EventHandler PDFchangeFileRequest;
        public event EventHandler PDFdeleteFileRequest;
        public event EventHandler PDFrealDeleteFileRequest;

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            if (PDFdeleteFileRequest != null)
                PDFdeleteFileRequest(this, null);
        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            if (PDFrealDeleteFileRequest != null)
                PDFrealDeleteFileRequest(this, null);
        }

        private void toolStripButton4_Click(object sender, EventArgs e)
        {
            try { Process.Start(_PDFPath); }
            catch { }
        }

        private void toolStripButton5_Click(object sender, EventArgs e)
        {
            try
            {
                Process.Start("explorer.exe", @"/select, " + Utilities.GetFullPath(_PDFPath));
            }
            catch { }
        }
    }
}
