﻿/*  
     This file is part of Emulators Organizer
    A program that organize emulators and roms.
   
    Copyright (C) 2009 - 2012  Ali Hadid, programmed by Ala Hadid

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace BER.CDCat.Export
{
    public class TreeNodeCollection : System.Collections.CollectionBase
    {
        public int Add(TreeNode node)
        {
            return this.InnerList.Add(node);
        }

        public void AddRange(TreeNodeCollection collection)
        {
            this.InnerList.AddRange(collection);
        }

        public void Remove(TreeNode node)
        {
            this.InnerList.Remove(node);
        }

        public TreeNode this[int index]
        {
            get
            {
                return (TreeNode)this.InnerList[index];
            }
            set
            {
                this.InnerList[index] = value;
            }
        }

        public TreeNode[] ToArray()
        {
            return (TreeNode[])this.InnerList.ToArray(typeof(TreeNode));
        }
    }
}
