﻿/*  
     This file is part of Emulators Organizer
    A program that organize emulators and roms.
   
    Copyright (C) 2009 - 2012  Ali Hadid, programmed by Ala Hadid

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace IsoCreator.DirectoryTree
{
    /// <summary>
    /// This class represents a collection of folder elements (files and folders) which can be sorted by name.
    /// </summary>
    internal class FolderElementList : CollectionBase
    {

        #region Comparer

        public class DirEntryComparer : IComparer
        {
            #region IComparer Members

            public int Compare(object x, object y)
            {
                string nameX = ((IsoFolderElement)x).LongName;
                string nameY = ((IsoFolderElement)y).LongName;

                return String.Compare(nameX, nameY, false);
            }

            #endregion
        }

        #endregion

        public void Add(IsoFolderElement value)
        {
            this.InnerList.Add(value);
        }

        public void Sort()
        {
            DirEntryComparer dirEntryComparer = new DirEntryComparer();
            this.InnerList.Sort(dirEntryComparer);
        }

        public IsoFolderElement this[int index]
        {
            get
            {
                return (IsoFolderElement)this.InnerList[index];
            }
            set
            {
                this.InnerList[index] = value;
            }
        }
    }
}
